Summary: A graphical LDAP directory browser and editor
Name: gq
Version: 1.2.3
Release: 14%{?dist}
Source0: http://prdownloads.sourceforge.net/gqclient/%{name}-%{version}.tar.gz
Source1: http://prdownloads.sourceforge.net/gqclient/%{name}-1.2.1-langpack-1.tar.gz
#Patch0: gq-0.3.0-init.patch
URL: http://biot.com/gq/
Group: Applications/Internet
License: GPL
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: gettext
BuildRequires: bison, flex
BuildRequires: openldap-devel
BuildRequires: pkgconfig >= 0.9.0
BuildRequires: glib2-devel >= 2.6, gtk2-devel >= 2.6
BuildRequires: gnome-keyring-devel >= 0.4.4, libglade2-devel
BuildRequires: gdk-pixbuf-devel
BuildRequires: libxml2-devel, perl(XML::Parser)
BuildRequires: openssl-devel, krb5-devel
BuildRequires: libgcrypt-devel >= 1.2.0
BuildRequires: cyrus-sasl-devel

# only available on FC >= 2, RHEL >= 4
#Requires(post): %{_bindir}update-mime-database
#Requires(postun): %{_bindir}update-mime-database

%description
GQ is a graphical browser for LDAP directories and schemas.  Using GQ,
an administrator can search through a directory and modify objects stored
in that directory.

%prep
%setup -q -a1
#patch0 -p1 -b .init

%build
%{name}-*-langpack-1/langpack .
# should be done in the above script
cp -a %{name}-*-langpack-1/po/LINGUAS po
%configure --enable-cache --enable-browser-dnd \
  --with-kerberos-prefix=%{_prefix} --disable-update-mimedb
make

%clean
rm -rf %{buildroot}

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
%find_lang %{name}

%post
update-mime-database %{_datadir}/mime > /dev/null 2>&1 || :

%postun
update-mime-database %{_datadir}/mime &> /dev/null 2>&1 || :

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc README* INSTALL COPYING ChangeLog NEWS TODO AUTHORS
%{_bindir}/*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}
#{_datadir}/locale/*/LC_MESSAGES/*.mo
%{_datadir}/gq
%{_datadir}/mime/packages/*

%changelog
* Thu Jan 10 2008 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.2.3-14
- Update to 1.2.3.

* Mon Nov 20 2006 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.2.1-13
- Update to 1.2.1.

* Mon Aug  7 2006 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.0.1-12
- Update to 1.0.1.

* Sun Jul 23 2006 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.0.0-11
- Update to 1.0.0.

* Wed Nov 17 2004 Zenon Panoussis <oracle@provocation.net>
- Adjusted to openldap 2.2 with patch by <joerg_wunsch@users.sourceforge.net>
  http://sourceforge.net/tracker/index.php?func=detail&aid=1022295&group_id=3805&atid=103805

* Sun Dec 21 2003 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.0beta1.

* Fri Jan 24 2003 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 0.6.0.

* Fri Feb 22 2002 Nalin Dahyabhai <nalin@redhat.com> 0.4.0-5
- rebuild

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Tue Jun 19 2001 Nalin Dahyabhai <nalin@redhat.com>
- rebuild in new environment

* Fri Mar  2 2001 Nalin Dahyabhai <nalin@redhat.com>
- rebuild in new environment

* Tue Feb 20 2001 Nalin Dahyabhai <nalin@redhat.com>
- update to 0.4.0, fixes bugs #24160, #24161

* Wed Dec 27 2000 Nalin Dahyabhai <nalin@redhat.com>
- update to 0.3.1

* Fri Dec  1 2000 Nalin Dahyabhai <nalin@redhat.com>
- rebuild in new environment

* Fri Nov 10 2000 Nalin Dahyabhai <nalin@redhat.com>
- initial package
